# FdoXmlSpatialContextReader Class Reference

`#include <SpatialContextReader.h>`

Inheritance diagram for FdoXmlSpatialContextReader:

[legend]

List of all members.

## Detailed Description

FdoXmlSpatialContextReader reads Spatial Contexts from an XML document. Unlike other XML Readers, the reading is done procedurally, rather than through events. FdoXmlSpatialContextReader implements FdoISpatialContextReader to provide the functions for retrieving the spatial contexts that were read.

Definition at line 38 of file SpatialContextReader.h.

## Public Member Functions
virtual FDO_API FdoString * | GetCoordinateSystem ()
| Gets the name of the coordinate system of the spatial context currently being read. If the result is a null or empty string, the coordinate system is unknown to the spatial context.
virtual FDO_API FdoString * | GetCoordinateSystemWkt ()
| Gets the coordinate system in OpenGIS SRS WKT format of the spatial context currently being read. If the result is an empty string, the coordinate system WKT description is not available.
virtual FDO_API FdoString * | GetDescription ()
| Gets the description of the spatial context currently being read.
virtual FDO_API FdoByteArray * | GetExtent ()
| Gets the extent of the spatial context currently being read as a byte array in FGF format.
virtual FDO_API FdoSpatialContextExtentType | GetExtentType ()
| Gets the extent type of the spatial context currently being read.
virtual FDO_API FdoString * | GetName ()
| Gets the name of the spatial context currently being read.
FDO_API FdoXmlReader * | GetXmlReader ()
| Gets the Xml document reader that was passed to this object.
virtual FDO_API const double | GetXYTolerance ()
| Gets the tolerance value for XY ordinates of the spatial context currently being read. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API const double | GetZTolerance ()
| Gets the tolerance value for Z ordinates of the spatial context currently being read. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs a frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API const bool | IsActive ()
| Returns true if the spatial context currently being read is the active spatial context.
virtual FDO_API bool | ReadNext ()
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.
virtual FDO_API FdoBoolean | XmlEndElement (FdoXmlSaxContext *saxContext, FdoString *uri, FdoString *name, FdoString *qname)
| Default Sax callback that is called when the FdoXmlReader reads the end tag for an XML element in the document. Does nothing.
virtual FDO_API FdoXmlSaxHandler * | XmlStartDocument (FdoXmlSaxContext *saxContext)
| Default Sax callback that is called when the FdoXmlReader starts reading an XML document. Does nothing.
virtual FDO_API FdoXmlSaxHandler * | XmlStartElement (FdoXmlSaxContext *saxContext, FdoString *uri, FdoString *name, FdoString *qname, FdoXmlAttributeCollection *atts)
## Static Public Member Functions
static FDO_API FdoXmlSpatialContextReader * | Create (FdoXmlReader *reader, FdoXmlSpatialContextFlags *flags=NULL)
| creates a Spatial Context Reader.
## Protected Member Functions
virtual FDO_API void | Dispose ()
FDO_API | FdoXmlSpatialContextReader (FdoXmlReader *reader, FdoXmlSpatialContextFlags *flags)
| FdoXmlSpatialContextReader ()
| default constructor to keep linux from complaining.
void | ThrowOnNotRead (FdoString *function)
| Throws an exception if a getter is called but there is no currently read Spatial Context.
virtual FDO_API | ~FdoXmlSpatialContextReader ()

The documentation for this class was generated from the following file:

- SpatialContextReader.h